Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / Solid object after transformation?

Solid object after transformation?

Solid object after transformation?
stigk 2012/07/03 13:12
Hi,

I am just starting with OpenCASCADE, and I love it but I still have a lot to learn. Right now, I am trying to create a general ellipsoid by scaling the three axes of a solid sphere, with a transformation. However, although it works, I end up with just the shell of the ellipsoid and I need it to be solid, since I want to do CSG with it afterwards.

Here's my code:

TopoDS_Shape sphere=Sphere(0,0,0,1); //radius 1, centered at origin
gp_GTrsf trsf;
gp_Mat rot(r1, 0, 0, 0, r2, 0, 0, 0, r3); //scale factors
trsf.SetVectorialPart(rot);
trsf.SetTranslationPart(gp_XYZ(x0,y0,z0)); //center

BRepBuilderAPI_GTransform myBRepTransformation(sphere,trsf);
TopoDS_Shape result = myBRepTransformation.Shape();


How can I get a solid ellipsoid instead?

Thanks,

Stig
stigk 2012/07/03 13:54
Sorry, I was too hasty in my conclusions. It appears that I did something wrong while applying a texture to the CGS object and it looked like it was hollow... All fine now.
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map